package com.yc.ship.module.trade.service.order.handler;


import com.yc.ship.module.infra.api.config.ConfigApi;
import com.yc.ship.module.system.api.notify.NotifyMessageSendApi;
import com.yc.ship.module.system.api.user.AdminUserApi;
import com.yc.ship.module.trade.dal.dataobject.order.TradeOrderDO;
import com.yc.ship.module.trade.service.order.TradeOrderRepositoryService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.core.annotation.Order;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;


/**
 * &#064;Description 保险处理
 * &#064;Author qsl
 * &#064;Date 2025/8/16 14:49
 */
@Component
@Order(TradeOrderHandler.SMS_ORDER)
@Slf4j
public class MessageHandler implements TradeOrderHandler {


    @Resource
    private TradeOrderRepositoryService tradeOrderRepositoryService;
    @Resource
    private AdminUserApi adminUserApi;
    @Resource
    private ConfigApi configApi;
    @Resource
    private NotifyMessageSendApi notifyMessageSendApi;

    @Override
    public void processOrderCreateSuccess(TradeOrderDO tradeOrderDO) {
        try {

        } catch (Exception e) {
            log.error("短信发送异常", e);
        }
    }

    /***
     * 转确认单发送 旅行社和直客
     * 2026/3/6 17:28
     */
    @Override
    public void afterProcessSuccess(TradeOrderDO tradeOrderDO) {
        try {

        } catch (Exception e) {
            log.error("短信发送异常", e);
        }
    }


}
